CREATE TABLE hwr_vltr_user_preferences (
    USER_ID              NUMBER(19, 0),
    LOCALE_LANGUAGE      VARCHAR2(252)    NOT NULL,
    LOCALE_COUNTRY       VARCHAR2(252),
    LOCALE_VARIANT       VARCHAR2(252),
    DATE_FORMAT          VARCHAR2(400)    NOT NULL,
    TERRITORY            VARCHAR2(400),
    NUMBER_FORMAT        VARCHAR2(400),
    TIME_FORMAT          VARCHAR2(160),
    TIME_ZONE            VARCHAR2(160),
    CREATED_BY           VARCHAR2(256)    NOT NULL,
    CREATION_DATE        TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128),
    USER_ID              NUMBER(19, 0),
    LOCALE_LANGUAGE      VARCHAR2(252)    NOT NULL,
    LOCALE_COUNTRY       VARCHAR2(252),
    LOCALE_VARIANT       VARCHAR2(252),
    DATE_FORMAT          VARCHAR2(400)    NOT NULL,
    TERRITORY            VARCHAR2(400),
    NUMBER_FORMAT        VARCHAR2(400),
    TIME_FORMAT          VARCHAR2(160),
    TIME_ZONE            VARCHAR2(160),
    CREATED_BY           VARCHAR2(256)    NOT NULL,
    CREATION_DATE        TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128),
    CONSTRAINT pk_hwr_vltr_user_preferences PRIMARY KEY (USER_ID, USER_ID)
);
